Index: guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- guiframe/local_perspectives/plotting/Plotter1D.py	(revision 96d7959c42f159f95ab769e39e4834c38c013c20)
+++ guiframe/local_perspectives/plotting/Plotter1D.py	(revision 9a585d01f17990dcd3d4cedb59a1a9708cbe22fd)
@@ -175,4 +175,29 @@
         # Option to save the data displayed
         
+      
+                
+        # Various plot options
+        id = wx.NewId()
+        slicerpop.Append(id,'&Save image', 'Save image as PNG')
+        wx.EVT_MENU(self, id, self.onSaveImage)
+        
+        id = wx.NewId()
+        slicerpop.Append(id,'&Print image', 'Print image ')
+        wx.EVT_MENU(self, id, self.onPrint)  
+           
+        slicerpop.AppendSeparator()
+        item_list = self.parent.get_context_menu(self.graph)
+        #print "item_list",item_list
+        if (not item_list==None) and (not len(item_list)==0):
+            for item in item_list:
+                try:
+                    id = wx.NewId()
+                    slicerpop.Append(id, item[0], item[1])
+                    wx.EVT_MENU(self, id, item[2])
+                except:
+                    pass
+                    #print sys.exc_value
+                    #print RuntimeError, "View1DPanel.onContextMenu: bad menu item"
+            slicerpop.AppendSeparator()
         #for plot in self.graph.plottables:
         if self.graph.selected_plottable in self.plots:
@@ -189,28 +214,8 @@
             self.action_ids[str(id)] = plot
             wx.EVT_MENU(self, id, self._onRemove)
-           
+            slicerpop.AppendSeparator()
             # Option to hide
             #TODO: implement functionality to hide a plottable (legend click)
             
-                
-        # Various plot options
-        id = wx.NewId()
-        slicerpop.Append(id,'&Save image', 'Save image as PNG')
-        wx.EVT_MENU(self, id, self.onSaveImage)
-        
-        slicerpop.AppendSeparator()
-        item_list = self.parent.get_context_menu(self.graph)
-        #print "item_list",item_list
-        if (not item_list==None) and (not len(item_list)==0):
-                for item in item_list:
-                    try:
-                        id = wx.NewId()
-                        slicerpop.Append(id, item[0], item[1])
-                        wx.EVT_MENU(self, id, item[2])
-                    except:
-                        pass
-                        #print sys.exc_value
-                        #print RuntimeError, "View1DPanel.onContextMenu: bad menu item"
-        
        
         if self.graph.selected_plottable in self.plots:
@@ -232,5 +237,5 @@
                 wx.EVT_MENU(self, id, self.onFitting)
                 
-        slicerpop.AppendSeparator()
+            slicerpop.AppendSeparator()
         id = wx.NewId()
         slicerpop.Append(id, '&Change scale')
@@ -240,5 +245,5 @@
         slicerpop.Append(id, '&Reset Graph')
         wx.EVT_MENU(self, id, self.onResetGraph)  
-        
+        """
         slicerpop.AppendSeparator() 
         id = wx.NewId()
@@ -249,8 +254,6 @@
         slicerpop.Append(id,'&Printer Preview', 'Set image size')
         wx.EVT_MENU(self, id, self.onPrinterPreview)
-    
-        id = wx.NewId()
-        slicerpop.Append(id,'&Print image', 'Print image ')
-        wx.EVT_MENU(self, id, self.onPrint)     
+        """
+        
 
         pos = event.GetPosition()
Index: guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- guiframe/local_perspectives/plotting/Plotter2D.py	(revision ea290ee35505f59531dd4dc23044ff4f9e506b89)
+++ guiframe/local_perspectives/plotting/Plotter2D.py	(revision 9a585d01f17990dcd3d4cedb59a1a9708cbe22fd)
@@ -180,5 +180,15 @@
         slicerpop.set_plots(self.plots)
         slicerpop.set_graph(self.graph)
-    
+        
+             
+        id = wx.NewId()
+        slicerpop.Append(id, '&Save image')
+        wx.EVT_MENU(self, id, self.onSaveImage)
+        
+        id = wx.NewId()
+        slicerpop.Append(id,'&Print image', 'Print image ')
+        wx.EVT_MENU(self, id, self.onPrint)
+        
+        slicerpop.AppendSeparator()
         item_list = self.parent.get_context_menu(self.graph)
         if (not item_list==None) and (not len(item_list)==0):
@@ -194,5 +204,5 @@
                         #print RuntimeError, "View1DPanel2D.onContextMenu: bad menu item"
         
-        slicerpop.AppendSeparator()
+                slicerpop.AppendSeparator()
         id = wx.NewId()
         slicerpop.Append(id, '&Edit Detector Parameters')
@@ -231,9 +241,6 @@
             wx.EVT_MENU(self, id, self._onEditSlicer) 
         slicerpop.AppendSeparator() 
-           
-        id = wx.NewId()
-        slicerpop.Append(id, '&Save image')
-        wx.EVT_MENU(self, id, self.onSaveImage) 
-        
+       
+        """
         # Option to save the data displayed
         id = wx.NewId()
@@ -244,9 +251,5 @@
         slicerpop.Append(id,'&Printer Preview', 'Set image size')
         wx.EVT_MENU(self, id, self.onPrinterPreview)
-    
-        id = wx.NewId()
-        slicerpop.Append(id,'&Print image', 'Print image ')
-        wx.EVT_MENU(self, id, self.onPrint)
-        slicerpop.AppendSeparator()
+        """
         id = wx.NewId()
         slicerpop.Append(id, '&Toggle Linear/Log scale')
@@ -261,5 +264,5 @@
         print "edit detortor param",self.zmin_2D, self.zmax_2D
         import detector_dialog
-        dialog = detector_dialog.DetectorDialog(None, -1, "")
+        dialog = detector_dialog.DetectorDialog(self, -1,base=self.parent)
         xnpts = len(self.data2D.x_bins)
         ynpts = len(self.data2D.y_bins)
Index: guiframe/local_perspectives/plotting/detector_dialog.py
===================================================================
--- guiframe/local_perspectives/plotting/detector_dialog.py	(revision ea290ee35505f59531dd4dc23044ff4f9e506b89)
+++ guiframe/local_perspectives/plotting/detector_dialog.py	(revision 9a585d01f17990dcd3d4cedb59a1a9708cbe22fd)
@@ -7,5 +7,5 @@
 import wx
 from sans.guiframe.utils import format_number
-
+from sans.guicomm.events import StatusEvent ,NewPlotEvent,SlicerEvent
 class DetectorDialog(wx.Dialog):
     """
@@ -13,9 +13,9 @@
     """
     
-    def __init__(self, *args, **kwds):
+    def __init__(self,parent,id=1,base=None, *args, **kwds):
 
         kwds["style"] = wx.DEFAULT_DIALOG_STYLE
-        wx.Dialog.__init__(self, *args, **kwds)
-        
+        wx.Dialog.__init__(self,parent,id=1, *args, **kwds)
+        self.parent=base
         self.label_xnpts = wx.StaticText(self, -1, "Detector width in pixels")
         self.label_ynpts = wx.StaticText(self, -1, "Detector Height in pixels")
@@ -66,4 +66,5 @@
             if value and float( value)==0.0:
                 flag = False
+                wx.PostEvent(self.parent, StatusEvent(status="Enter number greater than zero"))
                 self.zmin_ctl.SetBackgroundColour("pink")
                 self.zmin_ctl.Refresh()
@@ -73,4 +74,5 @@
         except:
             flag = False
+            wx.PostEvent(self.parent, StatusEvent(status="Enter float value"))
             self.zmin_ctl.SetBackgroundColour("pink")
             self.zmin_ctl.Refresh()
@@ -79,4 +81,5 @@
             if value and int(value)==0.0:
                 flag = False
+                wx.PostEvent(self.parent, StatusEvent(status="Enter number greater than zero"))
                 self.zmax_ctl.SetBackgroundColour("pink")
                 self.zmax_ctl.Refresh()
@@ -86,4 +89,5 @@
         except:
             flag = False
+            wx.PostEvent(self.parent, StatusEvent(status="Enter Integer value"))
             self.zmax_ctl.SetBackgroundColour("pink")
             self.zmax_ctl.Refresh()
